%define major 4
%define libxpm %mklibname xpm %{major}
%define develxpm %mklibname -d xpm

Name: libxpm
Summary:  X Pixmap Library
Version: 3.5.15
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXpm-%{version}.tar.xz

BuildRequires: ncompress
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xt) >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The xpm package contains the XPM pixmap library for the X Window
System. The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

#-----------------------------------------------------------

%package -n %{libxpm}
Summary:  X Pixmap Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxpm}
The xpm package contains the XPM pixmap library for the X Window
System. The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

%files -n %{libxpm}
%{_libdir}/libXpm.so.%{major}
%{_libdir}/libXpm.so.%{major}.*

#-----------------------------------------------------------

%package -n %{develxpm}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxpm} = %{version}-%{release}
Provides: libxpm-devel = %{version}-%{release}
Provides: xpm-devel = %{version}-%{release}
Obsoletes: %{_lib}xpm-static-devel < 3.5.10-4

%description -n %{develxpm}
Development files for %{name}

%files -n %{develxpm}
%{_bindir}/cxpm
%{_bindir}/sxpm
%{_libdir}/libXpm.so
%{_libdir}/pkgconfig/xpm.pc
%{_includedir}/X11/xpm.h
%{_mandir}/man1/*
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXpm-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Jan 18 2023 luigiwalser <luigiwalser> 3.5.15-1.mga9
+ Revision: 1934192
- BR ncompress
- 3.5.15

* Fri Dec 09 2022 luigiwalser <luigiwalser> 3.5.14-1.mga9
+ Revision: 1919987
- 3.5.14

* Wed Mar 30 2022 umeabot <umeabot> 3.5.13-3.mga9
+ Revision: 1834624
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 3.5.13-2.mga8
+ Revision: 1541352
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Dec 25 2019 tv <tv> 3.5.13-1.mga8
+ Revision: 1470016
- new release

* Sun Sep 23 2018 umeabot <umeabot> 3.5.12-2.mga7
+ Revision: 1299264
- Mageia 7 Mass Rebuild

* Fri Dec 30 2016 luigiwalser <luigiwalser> 3.5.12-1.mga6
+ Revision: 1078671
- 3.5.12

* Mon Feb 01 2016 umeabot <umeabot> 3.5.11-5.mga6
+ Revision: 929867
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.5.11-4.mga5
+ Revision: 740223
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.11-3.mga5
+ Revision: 681893
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.5.11-2.mga4
+ Revision: 534482
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 3.5.11-1.mga4
+ Revision: 477920
- new release

* Thu Aug 22 2013 wally <wally> 3.5.10-4.mga4
+ Revision: 469611
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 3.5.10-3.mga3
+ Revision: 397165
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 3.5.10-2.mga3
+ Revision: 358625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 3.5.10-1.mga2
+ Revision: 222155
- new release

* Tue Nov 29 2011 colin <colin> 3.5.9-3.mga2
+ Revision: 174149
- Strip .la files

* Sat Jan 08 2011 blino <blino> 3.5.9-2.mga1
+ Revision: 1018
- remove old ldconfig scriptlets
- imported package libxpm


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 3.5.9-1mdv2011.0
+ Revision: 590419
- new release

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.5.8-2mdv2010.1
+ Revision: 520323
- rebuild

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 3.5.8-1mdv2010.1
+ Revision: 463605
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.5.7-5mdv2010.0
+ Revision: 425932
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 3.5.7-4mdv2009.0
+ Revision: 223081
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 3.5.7-3mdv2008.1
+ Revision: 152806
- Update BuildRequires and rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 3.5.7-1mdv2008.0
+ Revision: 69338
- new release

* Sun Jul 15 2007 Olivier Thauvin <nanardon@mandriva.org> 3.5.6-2mdv2008.0
+ Revision: 52220
- fix requirements
- improve file list

* Thu Jul 12 2007 Funda Wang <fwang@mandriva.org> 3.5.6-1mdv2008.0
+ Revision: 51494
- New version


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

